#
# spec file for package perl-IO-Compress-Lzma
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Compress-Lzma
Version:        2.074
Release:        1.12
%define cpan_name IO-Compress-Lzma
Summary:        Write lzma files/buffers
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Compress-Lzma/
Source0:        https://cpan.metacpan.org/authors/id/P/PM/PMQS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Raw::Lzma) >= 2.074
BuildRequires:  perl(IO::Compress::Base) >= 2.074
BuildRequires:  perl(IO::Uncompress::Base) >= 2.074
Requires:       perl(Compress::Raw::Lzma) >= 2.074
Requires:       perl(IO::Compress::Base) >= 2.074
Requires:       perl(IO::Uncompress::Base) >= 2.074
%{perl_requires}

%description
*WARNING -- This is a Beta release*.

* * DO NOT use in production code.

* * The documentation is incomplete in places.

* * Parts of the interface defined here are tentative.

* * Please report any problems you find.

This module provides a Perl interface that allows writing lzma compressed
data to files or buffer.

For reading lzma files/buffers, see the companion module
IO::Uncompress::UnLzma.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README

%changelog
* Mon Sep  4 2017 coolo@suse.com
- updated to 2.074
  see /usr/share/doc/packages/perl-IO-Compress-Lzma/Changes
    2.074 19 Feb 2017
  * Fix bad 2.073 release
    2.073 18 Feb 2017
  * #120239: [PATCH] ISA fixes for c3
    2.072 4 Feb 2017
  * Makefile.PL
    [#120084]: Need Fix for Makefile.PL depending on . in @INC
    2.070 28 Dec 2016
  * No Changes
    2.069 26 Sep 2015
  * No Changes
* Wed Feb 18 2015 coolo@suse.com
- initial package 2.068
  * created by cpanspec 2.068
